<id>
Return To
</id>

<version>
beta 1.2
</version>

<mod info>
This mod allows a user to decide where to return to after posting to a thread.  A drop-down selection box is placed underneath the "Disable Smilies" check box on the post page.  The user may select to return to the current thread (defualt YaBB style, Display.pl), to the current Board (MessageIndex.pl), or the forum start (BoardIndex.pl).

Installation
---------------------
1.  Mod the files
2.  Upload the modded files and the language file to the correct directories

Version History
----------------------
v1.0 - Initial Release
v1.1 - Added the ability for a user to select which 'return to' area would be selected in the drop down menu as default in their profile options.  Also, removed workaround for 'new' marker with actual fix and extended this to new threads also.
v1.2 - Fixed issue with threads that will notify other users when posted to.
</mod info>

<author>
astro-pilot
</author>

<homepage>

</homepage>

<edit file>
Admin/Modlist.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$return_to_mod = "Return To beta 1.2_YaBB2|astro-pilot|This mod allows a user to select where they would like to return to after posting to a thread.  They may select to return to the current thread (default YaBB), the current board, or the forum start.  Also, they select a default selection for this feature in their profile.|1.2|12/26/05";
	push (@installed_mods, "$return_to_mod");
</add before>

<edit file>
Sources/Post.pl
</edit file>

<search for>
	# /File Attachment's Browse Box Code

</search for>

<add after>
	### Return To mod ###
	LoadLanguage("Return_To");
	my ($rts, $rt, $return_to_select, $return_to);
	$rts = $FORM{'return_to'} ? $FORM{'return_to'}: ${$uid.$username}{'return_to'};
	for ($rt = 1; $rt <= 3; $rt++) {
		$return_to_select .= $rts == $rt ? qq~<option value="$rt" selected>$return_to_txt{$rt}</option>~ : qq~<option value="$rt">$return_to_txt{$rt}</option>~;
	}
	$return_to = qq~      
	<tr>
        	<td class="windowbg" width="23%"><b>$return_to_txt{'99'}:</b><br /><br /></td>
        	<td class="windowbg" width="77%"><select name="return_to">$return_to_select</select><span class="small"> $return_to_txt{'98'}</span><br /><br /></td>
      	</tr>~;
	### Return To mod end ###

</add after>

<search for>
        <td class="windowbg" width="77%"><input type="checkbox" name="ns" value="NS"$nscheck /> <span class="small"> $post_txt{'277'}</span><br /><br /></td>
      </tr>
</search for>

<replace>
<!-- ### Return To mod ### -->
        <td class="windowbg" width="77%"><input type="checkbox" name="ns" value="NS"$nscheck /> <span class="small"> $post_txt{'277'}</span></td>
      </tr>
$return_to 
<!-- ### Return To mod end ### -->
</replace>

<search for>
	if ($currentboard eq $annboard) {
		$yySetLocation = qq~$scripturl?virboard=$currentboard;num=$thread/$start#$mreplies~;
	} else {
		$yySetLocation = qq~$scripturl?num=$thread/$start#$mreplies~;
	}
</search for>

<replace>
	### Return To mod ###
	my ($rts, $rt, $return_to_select, $return_to);
	$rts = $FORM{'return_to'};		
	if ($rts == 3) {$yySetLocation = qq~$scripturl~;}
	elsif ($rts == 2) {$yySetLocation = qq~$scripturl?board=$currentboard~;}	
	else{ 	if ($currentboard eq $annboard) {$yySetLocation = qq~$scripturl?virboard=$currentboard;num=$thread/$start#$mreplies~;} 
		else {$yySetLocation = qq~$scripturl?num=$thread/$start#$mreplies~;}	
	}
	&dumplog($thread,$date);
	### Return To mod end ###

</replace>

<edit file>
Sources/Profile.pl
</edit file>

<search for>
	$yymain .= qq~<tr class="windowbg">
          <td width="320" align="left"><b>$profile_txt{'817'}</b></td>
</search for>

<add before>
	### Return To mod ###
	LoadLanguage("Return_To");
	my ($rts, $rt, $return_to_select, $return_to);
	$rts = ${$uid.$user}{'return_to'};
	for ($rt = 1; $rt <= 3; $rt++) {
		$return_to_select .= $rts == $rt ? qq~<option value="$rt" selected>$return_to_txt{$rt}</option>~ : qq~<option value="$rt">$return_to_txt{$rt}</option>~;
	}
	$yymain .= qq~      
       	<tr class="windowbg">
        		<td width="320" align="left"><b>$return_to_txt{'99'}:</b><br />
	          	<span class="small">$return_to_txt{'97'}</span></td>
          		<td align="left"><select name="return_to">$return_to_select</select></td>
	</tr>~;	
	### Return To mod end ###

</add before>

<search for>
		&UserAccount($user, "update");

		$yySetLocation = qq~$scripturl?action=profileIM;username=$INFO{'username'};sid=$INFO{'sid'}~;
</search for>

<add before>
		${$uid.$user}{'return_to'} = "$member{'return_to'}"; ### Return To mod ###
</add before>

<edit file>
Sources/System.pl
</edit file>

<search for>
	my @tags = qw(password realname email regdate webtitle weburl signature postcount position addgroups icq aim yim gender usertext userpic regtime location bday timeselect timeoffset timeformat hidemail msn gtalk template language lastonline lastpost lastim im_ignorelist im_notify im_popup im_imspop cathide postlayout session sesquest sesanswer favorites dsttimeoffset pageindex);
</search for>

<add after>
	push(@tags,return_to); ### Return To mod ###
</add after>

<edit file>
Sources/Notify.pl
</edit file>

<search for>
	&ManageThreadNotify("add", $thread, $username, ${$uid.$username}{'language'}, "1", "1");
	$yySetLocation = qq~$scripturl?num=$thread/$start~;
</search for>

<replace>
	&ManageThreadNotify("add", $thread, $username, ${$uid.$username}{'language'}, "1", "1");
	### Return To mod ###
	my ($rts, $rt, $return_to_select, $return_to);
	$rts = $FORM{'return_to'};		
	if ($rts == 3) {$yySetLocation = qq~$scripturl~;}
	elsif ($rts == 2) {$yySetLocation = qq~$scripturl?board=$currentboard~;}	
	else {$yySetLocation = qq~$scripturl?num=$thread/$start#$mreplies~;}
	&dumplog($thread,$date);
	### Return To mod end ###
</replace>

<search for>
	if (-e "$datadir/$thread.mail") {
		&ManageThreadNotify("delete", $thread, $username);
	}
	$yySetLocation = qq~$scripturl?num=$thread/$start~;
</search for>

<replace>
	if (-e "$datadir/$thread.mail") {
		&ManageThreadNotify("delete", $thread, $username);
	}
	### Return To mod ###
	my ($rts, $rt, $return_to_select, $return_to);
	$rts = $FORM{'return_to'};		
	if ($rts == 3) {$yySetLocation = qq~$scripturl~;}
	elsif ($rts == 2) {$yySetLocation = qq~$scripturl?board=$currentboard~;}	
	else {$yySetLocation = qq~$scripturl?num=$thread/$start#$mreplies~;}
	&dumplog($thread,$date);
	### Return To mod end ###
</replace>